Skip to content

Delete template by name
GA

Request

Delete template that matches the name.

If message templates with the same name exists in multiple languages, all those templates will also be deleted.
Once deleted the name can not be used for new message templates for 30 days. Use a different name to create future templates during that time period. Messages that have been sent with the deleted template, but not yet delivered, will be attempted to be deliver for 30 days from the time of the message.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

templateNamestringrequired

The unique name of the template.

curl -i -X DELETE \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/templates/{templateName}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Template(s) deleted

Response
No content
We'd love to hear from you!
Rate this content: